# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $Id$

EAPI="4"

inherit autotools-utils eutils

DESCRIPTION="The Battle.net client library"
HOMEPAGE="http://code.google.com/p/bncsutil"
SRC_URI="http://people.znc.in/~dessa/ghost/deps/${P}.tar.xz"

RESTRICT="mirror"

LICENSE="as-is"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="static-libs"

DEPEND="dev-libs/gmp[static-libs?]"
RDEPEND="${DEPEND}"

src_prepare() {
	epatch "${FILESDIR}/${PN}-werror.patch"
	epatch "${FILESDIR}/${PN}-ghost.patch"
	eautoreconf
}

src_configure() {
	local myeconfargs=(
		$(use_enable static-libs static) )

	autotools-utils_src_configure
}

src_install() {
	autotools-utils_src_install
	prune_libtool_files
}
